﻿namespace InABox.Avalonia.Platform;

public interface IPdfRenderer : ILoggable
{
    byte[]? PdfToImage(byte[]? pdf, int page, int dpi);
    Task<byte[]?> PdfToImageAsync(byte[]? pdf, int page, int dpi);

    byte[]? ImageToPdf(byte[]? image);
    Task<byte[]?> ImageToPdfAsync(byte[]? image);


}