﻿using System;
using Avalonia;
using Avalonia.Markup.Xaml;

namespace InABox.Avalonia;

public class ThicknessProvider : MarkupExtension
{
    public double Left { get; set; }
    public double Top { get; set; }
    public double Right { get; set; }
    public double Bottom { get; set; }

    public override object ProvideValue(IServiceProvider serviceProvider)
    {
        return new Thickness(Left, Top, Right, Bottom);
    }
}