

using Avalonia.Controls;
using InABox.Avalonia.Platform;
using Microsoft.Maui.ApplicationModel;

namespace InABox.Avalonia
{
    public class MobileDocumentVideoSource : MobileVideoSource<MobileDocumentVideoSource, MobileDocumentVideoOptions>
    {
        
        public MobileDocumentVideoSource(MobileDocumentVideoOptions options) : base(options)
        {
        }
        
        protected override async Task<bool> IsEnabled() 
            => await IsEnabled<Permissions.Photos>();
        
        protected override async Task<ImageFile> Capture(TopLevel window) 
            => await PlatformTools.ImageTools.CaptureVideoAsync(window);


    }
}