﻿using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    public enum Platform
    {
        TimeBench,
        Wpf,
        DatabaseEngine,
        WebEngine,
        GPSEngine,
        SchedulerEngine,
        Server,
        LicensingEngine
    }

    public static class PlatformUtils
    {
        public static string PlatformToString(Platform platform) => platform switch
        {
            Platform.Wpf => "Wpf",
            Platform.TimeBench => "Mobile",
            Platform.DatabaseEngine => "Database",
            Platform.WebEngine => "Web Engine",
            Platform.GPSEngine => "GPS Engine",
            Platform.SchedulerEngine => "Scheduler",
            Platform.Server => "Server",
            _ => platform.ToString()
        };
    }
}
