﻿using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.API
{
    public enum SMSProviderType
    {
        Exchange,
        IMAP,
        ASPSMS,
        Twilio
    }

    public interface ISMSProvider
    {
        bool SendMessage(string recipient, string message);

        SMSProviderType ProviderType { get; }

        TwoFactorAuthenticationType TwoFactorAuthenticationType { get; }
    }
}
