using System.Collections.Generic;
using System.Windows;
using InABox.Core;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.TreeGrid;

namespace InABox.DynamicGrid;

public class DynamicGridTextBoxColumn : DynamicGridEditorColumn<TextBoxEditor, GridTextColumn, TreeGridTextColumn>
{
    protected override void Configure(GridTextColumn column, TextBoxEditor editor)
    {
        column.TextWrapping = TextWrapping.NoWrap;
    }
    protected override void Configure(TreeGridTextColumn column, TextBoxEditor editor)
    {
        column.TextWrapping = TextWrapping.NoWrap;
    }
    
    public DynamicGridTextBoxColumn(DynamicGridColumn definition) : base(definition)
    {
    }
}