namespace InABox.Avalonia.Platform;

public interface IBluetoothDevice : IDisposable
{
    String ID { get; }
     
    String Name { get; }

    Guid[] AvailableServices { get; }
     
    DateTime LastSeen { get; set; }
     
    byte[]? ManufacturerData { get; set; }
}