﻿using InABox.Core;

namespace InABox.Avalonia.Platform;

public class DefaultPdfRenderer : IPdfRenderer
{
    public Logger? Logger { get; set; }
 
    public byte[]? PdfToImage(byte[]? pdf, int page, int dpi) 
        => null;

    public Task<byte[]?> PdfToImageAsync(byte[]? pdf, int page, int dpi)
        => Task.Run(() => PdfToImage(pdf, page, dpi));

    public byte[]? ImageToPdf(byte[]? image) 
        => null;

    public Task<byte[]?> ImageToPdfAsync(byte[]? image)
        => Task.Run(() => ImageToPdf(image));

}