﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Avalonia.Components;

public partial class TextEditViewModel : BasePopupViewModel<string>
{
    [ObservableProperty]
    private string _text = "";

    [ObservableProperty]
    private bool _multiline = false;

    [RelayCommand]
    private void Cancel()
    {
        Close(null);
    }

    [RelayCommand]
    private void OK()
    {
        Close(Text);
    }
}
