﻿using Avalonia.Media;

namespace InABox.Avalonia.Converters;

public class GuidToColorConverter : AbstractConverter<Guid,IBrush>
{
        
    public IBrush Empty{ get; set; }
        
    public IBrush Default { get; set; }
        
    protected override IBrush Convert(Guid value, object parameter = null)
    {
        return value != Guid.Empty
            ? Default
            : Empty;
    }

}