﻿namespace InABox.Core
{
    public class TextBoxEditor : BaseEditor, IButtonEditor
    {
        public TextBoxEditor()
        {
            Visible = Visible.Default;
        }

        public EditorButton[]? Buttons { get; set; }
        
        public bool ImmediateUpdates { get; set; } = true;

        protected override BaseEditor DoClone()
        {
            return new TextBoxEditor()
            { 
                Buttons = Buttons, 
                ImmediateUpdates = ImmediateUpdates
                
            };
        }
    }
}