using System;

namespace InABox.Integration.Logikal
{

    public class LogikalBOMRequest : LogikalRequest
    {

        public override LogikalMethod Method() => LogikalMethod.BOM;

        public Guid ProjectID { get; set; }
        
        public Guid[] ElevationIDs { get; private set; }

        public LogikalBOMRequest(Guid projectid, Guid[] elevationids)
        : base()
        { 
            ProjectID = projectid;
            ElevationIDs = elevationids;
        }
    }


}