using System;

namespace InABox.Integration.Logikal
{
    public class LogikalElevationSummaryRequest : LogikalRequest
    {
        public override LogikalMethod Method() => LogikalMethod.ElevationSummary;
        
        public Guid ProjectID { get; private set; }
        
        public String Phase { get; private set; }
        
        public LogikalElevationSummaryRequest(Guid projectid, string phase)
        {
            ProjectID = projectid;
            Phase = phase;
        }
        
    }
}