﻿using InABox.Core;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.TreeGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace InABox.DynamicGrid;

public class DynamicGridColumnNameColumn : DynamicGridEditorColumn<DynamicColumnNameEditor, GridTextColumn, TreeGridTextColumn>
{
    protected override void Configure(GridTextColumn column, DynamicColumnNameEditor editor)
    {
        column.TextWrapping = TextWrapping.NoWrap;
    }
    protected override void Configure(TreeGridTextColumn column, DynamicColumnNameEditor editor)
    {
        column.TextWrapping = TextWrapping.NoWrap;
    }
    
    public DynamicGridColumnNameColumn(DynamicGridColumn definition) : base(definition)
    {
    }

    public override bool Editable => false;
}
